/* Copyright (c) 2018 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef BACKUPDIALOG_H
#define BACKUPDIALOG_H

// Local includes
#include "Dialog.h"

// Qt includes
#include <QDateTime>

// Qt classes
class QListWidget;

class BackupDialog : public Dialog
{

public:
    struct DbFileInfo {
        QString path;
        QString baseName;
        QString originalBaseName;
        QDateTime backupDate;
    };

    static QString createBackup(const QString &source, const QString &target,
                                const QString &addition);
    static DbFileInfo parseDbFileName(const QString &dbFileName);
    static QString getDateString(const QDateTime &backupDate);
    static QString createDatabaseBackup(const QString &source, const QString &target);

    explicit BackupDialog(QWidget *parent, const QString &dbFileName);
    QString getDateString(const QString &backupDate) const;
    QString backupToRestore() const;
    QString dbToOverwrite() const;

private slots:
    void enableOkButton();

private: // Variables
    QListWidget *m_backups;
    QString m_dbToOverwrite;

};

#endif // BACKUPDIALOG_H
