/* Copyright (c) 2018 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef EXPORTPLAYERSDIALOG_H
#define EXPORTPLAYERSDIALOG_H

// Local includes
#include "Dialog.h"

// Qt Classes
class QCheckBox;
class QRadioButton;

class ExportPlayersDialog : public Dialog
{

public:
    explicit ExportPlayersDialog(QWidget *parent, Database *database);

private slots:
    void exportMarkedChanged(bool checked);

private: // Functions
    void accept();

private: // Variables
    QStringList m_playersList;
    QCheckBox *m_exportMarkers;
    QCheckBox *m_openAfterExport;
    QRadioButton *m_exportMarked;
    QRadioButton *m_exportUnMarked;
    bool m_exportMakersState;

};

#endif // EXPORTPLAYERSDIALOG_H
