/* Copyright (c) 2012-2018 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation in version 2 of the License.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef TABLEDELEGATE_H
#define TABLEDELEGATE_H

// Qt includes
#include <QStyledItemDelegate>

// Qt classes
class QPainter;
class QEvent;

class TableDelegate : public QStyledItemDelegate
{
    Q_OBJECT

public:
    enum HighlightMode {
        allRows,
        evenRows
    };

    explicit TableDelegate(QObject *parent, HighlightMode highlightMode = HighlightMode::allRows);

protected:
    virtual void paint(QPainter *painter, const QStyleOptionViewItem &option,
                       const QModelIndex &index) const override;
    virtual bool editorEvent(QEvent *event, QAbstractItemModel *model, const QStyleOptionViewItem &,
                             const QModelIndex &index) override;
    virtual void setModelData(QWidget *editor, QAbstractItemModel *,
                              const QModelIndex &) const override;

signals:
    void editEntered(const QString &originalData, const QString &enteredData) const;

private: // Variables
    HighlightMode m_highlightMode;
    QString m_originalData;
    QString m_editData;

};

#endif // TABLEDELEGATE_H
